package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetSignalInvitationRecordsLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetSignalInvitationRecordsLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetSignalInvitationRecordsLogic {
	return &GetSignalInvitationRecordsLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// rtc cms
func (l *GetSignalInvitationRecordsLogic) GetSignalInvitationRecords(in *rtc.GetSignalInvitationRecordsReq) (*rtc.GetSignalInvitationRecordsResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.GetSignalInvitationRecordsResp{}, nil
}
